<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <title>Document</title>
</head>
<body>  
   <script>
       let value, factorial;

       function calcFactorial(value) {
            var number=1;
            for(i=1; i<=value; i++){
                number=number*i;
            }
            return number;
           }
       
       value=prompt('Введите число, от которого необходимо вычислить факториал:','');
       factorial=calcFactorial(value);
       alert('Факториал от введенного числа = ' + factorial);

   </script> 
</body>
</html>